%define major		0
%define gmajor		2.0
%define libname		%mklibname atspi %{major}
%define girname		%mklibname atspi-gir %{gmajor}
%define libnamedev 	%mklibname -d atspi

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		at-spi2-core
Version:	2.6.3
Release:	%mkrel 2
Summary:	Protocol definitions and daemon for D-Bus at-spi
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(dbus-1) >= 1.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.28
BuildRequires:	pkgconfig(glib-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.0.0
BuildRequires:	libx11-devel
BuildRequires:	libxtst-devel
BuildRequires:	libxevie-devel
BuildRequires:	intltool >= 0.40.0
BuildRequires:	gobject-introspection-devel >= 0.9.6
Requires:	dbus

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This version of at-spi is a major break from previous versions.
It has been completely rewritten to use D-Bus rather than
ORBIT / CORBA for its transport protocol.

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries
Requires:	%name = %version

%description -n %{libname}
This package contains libraries used by %{name}.

%package -n %{libnamedev}
Summary:	Libraries and include files with %{name}
Group:		Development/GNOME and GTK+
Requires:	%name = %{version}
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
This package provides the necessary development libraries and include 
files to allow you to develop with %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

find %{buildroot} -name *.la | xargs rm

%files -f %{name}.lang
%doc COPYING AUTHORS README
%dir %_sysconfdir/at-spi2/
%config(noreplace) %{_sysconfdir}/at-spi2/accessibility.conf
%{_sysconfdir}/xdg/autostart/at-spi-dbus-bus.desktop
%{_libexecdir}/at-spi2-registryd
%{_libexecdir}/at-spi-bus-launcher
%{_datadir}/dbus-1/services/org.*.service

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/*.so.%{major}*

%files -n %{girname}
%defattr(-,root,root)
%{_libdir}/girepository-1.0/Atspi-%{gmajor}.typelib

%files -n %{libnamedev}
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/libatspi
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_datadir}/gir-1.0/Atspi-%{gmajor}.gir


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.6.3-2.mga3
+ Revision: 346518
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 10 2012 ovitters <ovitters> 2.6.3-1.mga3
+ Revision: 329443
- new version 2.6.3

* Tue Nov 13 2012 fwang <fwang> 2.6.2-1.mga3
+ Revision: 317361
- new version 2.6.2

* Wed Oct 17 2012 ovitters <ovitters> 2.6.1-1.mga3
+ Revision: 307388
- new version 2.6.1

* Tue Sep 25 2012 ovitters <ovitters> 2.6.0-1.mga3
+ Revision: 297291
- new version 2.6.0

* Tue Sep 18 2012 ovitters <ovitters> 2.5.92-1.mga3
+ Revision: 295794
- new version 2.5.92

* Tue Sep 04 2012 ovitters <ovitters> 2.5.91-1.mga3
+ Revision: 287810
- new version 2.5.91

* Mon Aug 06 2012 ovitters <ovitters> 2.5.5-1.mga3
+ Revision: 279555
- new version 2.5.5

* Mon Jul 16 2012 ovitters <ovitters> 2.5.4-1.mga3
+ Revision: 271585
- new version 2.5.4

* Wed Jun 27 2012 ovitters <ovitters> 2.5.3-1.mga3
+ Revision: 264580
- new version 2.5.3

* Mon May 14 2012 ovitters <ovitters> 2.4.2-1.mga3
+ Revision: 235698
- new version 2.4.2

* Mon Apr 16 2012 ovitters <ovitters> 2.4.1-1.mga2
+ Revision: 231118
- new version 2.4.1

* Mon Mar 26 2012 ovitters <ovitters> 2.4.0-1.mga2
+ Revision: 226979
- new version 2.4.0

* Mon Mar 19 2012 ovitters <ovitters> 2.3.92-1.mga2
+ Revision: 224535
- new version 2.3.92

* Tue Mar 06 2012 fwang <fwang> 2.3.91-1.mga2
+ Revision: 219617
- new version 2.3.91

* Wed Feb 22 2012 ovitters <ovitters> 2.3.90-1.mga2
+ Revision: 212336
- new version

* Tue Feb 07 2012 fwang <fwang> 2.3.5-1.mga2
+ Revision: 205817
- new version 2.3.5

* Mon Jan 16 2012 fwang <fwang> 2.3.4-1.mga2
+ Revision: 196790
- new version 2.3.4

* Tue Dec 20 2011 fwang <fwang> 2.3.3-1.mga2
+ Revision: 184751
- new version 2.3.3

* Tue Nov 22 2011 fwang <fwang> 2.3.2-1.mga2
+ Revision: 170790
- new version 2.3.2

* Sat Oct 29 2011 fwang <fwang> 2.3.1-1.mga2
+ Revision: 159456
- new version 2.3.1

* Tue Oct 18 2011 wally <wally> 2.2.1-1.mga2
+ Revision: 156065
- new version 2.2.1
- create own subpackage for gir .typelib
- clean .spec a bit

* Tue Sep 27 2011 ovitters <ovitters> 2.2.0-1.mga2
+ Revision: 149136
- remove format-string patch (committed upstream)
- new version 2.2.0

* Tue Sep 20 2011 fwang <fwang> 2.1.92-1.mga2
+ Revision: 145841
- new version 2.1.92

* Tue Sep 06 2011 tv <tv> 2.1.91-1.mga2
+ Revision: 139226
- new release

* Tue Aug 30 2011 fwang <fwang> 2.1.90-1.mga2
+ Revision: 136340
- new version 2.1.90
- new version 2.1.5

  + saispo <saispo>
    - imported package at-spi2-core

